LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
SSOPasswordCache Service Referencepublished

provided as a convenience for simple username/password based Single Sign-on implementations which don't provide some sort of authentication information repository. More...

`import"SSOPasswordCache.idl";`

Inheritance diagram for SSOPasswordCache:

## Additional Inherited Members
Public Member Functions inherited from XSSOPasswordCache
void | addPassword ([in] string UserName, [in] string Password, [in] boolean Persist) raises ( InvalidArgumentException, PersistenceFailureException )
| adds a username/password combination to the cache. More...
string | getPassword ([in] string UserName, [out] boolean Persist) raises ( InvalidArgumentException, PersistenceFailureException )
| retrieves a password for a given user from the cache. More...
void | removePassword ([in] string UserName, [in] boolean RemovePersist) raises ( InvalidArgumentException, PersistenceFailureException )
| removes a password from the cache More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provided as a convenience for simple username/password based Single Sign-on implementations which don't provide some sort of authentication information repository.

provides access to a cache which maps usernames to associated passwords. Individual cache entries may be persisted.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/auth/SSOPasswordCache.idl